\version "2.13.48"
#(ly:set-option 'point-and-click #f)
\include "deutsch.ly"


%%%%%%%%%%  This provides joint rests 
%%%%%%%%%%  for the voices of the right hand in the realisation 
%%%%%%%%%%  of the figured bass
#(define (rest-score r)
  (let ((score 0)
        (yoff (ly:grob-property-data r 'Y-offset))
        (sp (ly:grob-property-data r 'staff-position)))
    (if (number? yoff)
        (set! score (+ score 2))
        (if (eq? yoff 'calculation-in-progress)
            (set! score (- score 3))))
    (and (number? sp)
         (<= 0 2 sp)
         (set! score (+ score 2))
         (set! score (- score (abs (- 1 sp)))))
    score))

#(define (merge-rests-on-positioning grob)
  (let* ((can-merge #f)
         (elts (ly:grob-object grob 'elements))
         (num-elts (and (ly:grob-array? elts)
                        (ly:grob-array-length elts)))
         (two-voice? (= num-elts 2)))
    (if two-voice?
        (let* ((v1-grob (ly:grob-array-ref elts 0))
               (v2-grob (ly:grob-array-ref elts 1))
               (v1-rest (ly:grob-object v1-grob 'rest))
               (v2-rest (ly:grob-object v2-grob 'rest)))
          (and
           (ly:grob? v1-rest)
           (ly:grob? v2-rest)              
           (let* ((v1-duration-log (ly:grob-property v1-rest 'duration-log))
                  (v2-duration-log (ly:grob-property v2-rest 'duration-log))
                  (v1-dot (ly:grob-object v1-rest 'dot))
                  (v2-dot (ly:grob-object v2-rest 'dot))
                  (v1-dot-count (and (ly:grob? v1-dot)
                                     (ly:grob-property v1-dot 'dot-count -1)))
                  (v2-dot-count (and (ly:grob? v2-dot)
                                     (ly:grob-property v2-dot 'dot-count -1))))
             (set! can-merge
                   (and 
                    (number? v1-duration-log)
                    (number? v2-duration-log)
                    (= v1-duration-log v2-duration-log)
                    (eq? v1-dot-count v2-dot-count)))
             (if can-merge
                 ;; keep the rest that looks best:
                 (let* ((keep-v1? (>= (rest-score v1-rest)
                                      (rest-score v2-rest)))
                        (rest-to-keep (if keep-v1? v1-rest v2-rest))
                        (dot-to-kill (if keep-v1? v2-dot v1-dot)))
                   ;; uncomment if you're curious of which rest was chosen:
                   ;;(ly:grob-set-property! v1-rest 'color green)
                   ;;(ly:grob-set-property! v2-rest 'color blue)
                   (ly:grob-suicide! (if keep-v1? v2-rest v1-rest))
                   (if (ly:grob? dot-to-kill)
                       (ly:grob-suicide! dot-to-kill))
                   (ly:grob-set-property! rest-to-keep 'direction 0)
                   (ly:rest::y-offset-callback rest-to-keep)))))))
    (if can-merge
        #t
        (ly:rest-collision::calc-positioning-done grob))))



%%%%%%%%%%%%%%       MAKROS        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tr = ^\markup { \bold {+}}
st = ^\staccatissimo

%  Unterbalken geändert: statt 3 * 2 16-tel nun 2 * 3 16-tel
qbeam = {
  \set subdivideBeams = ##t
  \set Staff.beatLength = #(ly:make-moment 3 16)
  \set Staff.beatLength = #(ly:make-moment 3 8)
}
% Unterbalken gemäß Standard
nbeam = {
  \set Staff.beatLength = #(ly:make-moment 1 8)
  \set subdivideBeams = ##f
}
% Linien im Generalbass ein und ausschalten
lj = \set useBassFigureExtenders = ##t
ln = \set useBassFigureExtenders = ##f

% bei Verzierungen: Hälse kürzen, Hals nach unten, kleine Noten
sk =  { \once \override Stem #'length-fraction = #0.6 \once \override Stem #'direction = #DOWN \once \set fontSize = #-3   }
ska = { \once \override Stem #'length-fraction = #0.7 \once \override Stem #'direction = #DOWN \once \set fontSize = #-3   }
sku = { \once \override Stem #'length-fraction = #0.7 \once \override Stem #'direction = #UP \once \set fontSize = #-3   }
skn = { \once \override Stem #'length-fraction = #1 \once \override Stem #'direction = #DOWN \once \set fontSize = #-3   }
sn =     \override Stem #'length-fraction = #1  %normale Länge

ta = \set tupletSpannerDuration = #(ly:make-moment 1 8) 
tv = \set tupletSpannerDuration = #(ly:make-moment 1 4)  

%%%%%%%%%%%%%       ENDE MAKRO     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\header {
  title = \markup
     {"Sonata 4" \override #'(font-size . -3)  \raise #2 "ta" }
  subtitle = \markup { \center-column   \override #'(baseline-skip . 2) 
    { "aus / du /from" 
      "\"Sonate Metodiche à Violino Solo ò Flauto traverso\" Opera XIII (1728) TWV 41:D 3"
      "\n"
    }
  }
  instrument = \markup { \center-column {
      \override #'(font-size . -1) 
      "Altblockflöte und b.c / Flûte à bec alto et b.c / Treble recorder and b.c"
    }
  }
  
  composer = \markup  \override #'(baseline-skip . 2) 
    {\right-column     {
	"\n" "\n" "\n"
	"Georg Philipp Telemann"  
	\tiny "(1681 - 1767)" 
%         \tiny "Figured bass arrangement and"
	\tiny "Published by Franz-Rudolf Kuhnen" } 
  }
  copyright = 
  \markup  {
    \teeny "Published under Creative Commons Attribution-ShareAlike 3.0 (http://creativecommons.org) 
    -
    http://noten.kuhnen-musik.de (Rev.: 02-20110225)"  
  }
}


\paper {
  myStaffSize = #18
  #(define fonts
    (make-pango-font-tree "Times New Roman"
                          "Arial"
                          "Luxi Mono"
                           (/ myStaffSize 18)))
  line-width = 18\cm
  ragged-last-bottom = ##f
  ragged-last = ##f
%   page-count = 3
}

#(set-default-paper-size "a4")
#(set-global-staff-size 16)


%=================    1. Movement:  Andante   ===========================

\score {
  \transpose d f
  \keepWithTag #'bl
<<
   \override Score.BarNumber  #'font-shape = #'italic
   \override Score.BarNumber  #'font-series = #'bold
   \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible
   
  \new ChoirStaff <<
    \include "stimmen/04_1_01-fl.ly"
    \include "stimmen/04_1_02-fl.ly"
  >>
  
  \new GrandStaff <<
    %      \include "stimmen/04_1_03-rh.ly"
    \include "stimmen/04_1_04-lh.ly"
    \include "stimmen/04_1_05-figures.ly"
  >> 
>>

\layout { indent = 0  \context {
    \Staff
%     \override TimeSignature #'style = #'single-digit
 }
}

\header { 
  piece=   \markup { \left-column {
      \override #'(font-size . 3) \italic "Andante" %{\small \italic "Gravement"%}}
  }
 }
} 

\pageTurn


%=================    2. Movement:  Presto   ===========================
\score {
  \transpose d f
  \keepWithTag #'bl
<<
   \override Score.BarNumber  #'font-shape = #'italic
   \override Score.BarNumber  #'font-series = #'bold
   \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible
   
  \new ChoirStaff <<
   \include "stimmen/04_2_01-fl.ly"
%      \include "stimmen/04_2_02-fl.ly"
  >>
  
  \new GrandStaff <<
    %      \include "stimmen/04_2_03-rh.ly"
    \include "stimmen/04_2_04-lh.ly"
    \include "stimmen/04_2_05-figures.ly"
  >> 
>>

\layout { indent = 0  \context {
    \Staff
%     \override TimeSignature #'style = #'single-digit
 }
}

\header { 
  piece=   \markup { \left-column {
      \override #'(font-size . 3) \italic "Presto" %{\small \italic "Gravement"%}}
  }
 }
} 

\pageTurn


%=================    3. Movement:  Contenerezza   ===========================
\score {
  \transpose d f
  \keepWithTag #'bl
<<
   \override Score.BarNumber  #'font-shape = #'italic
   \override Score.BarNumber  #'font-series = #'bold
   \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible
   
  \new ChoirStaff <<
   \include "stimmen/04_3_01-fl.ly"
  >>
  
  \new GrandStaff <<
    %      \include "stimmen/04_3_03-rh.ly"
    \include "stimmen/04_3_04-lh.ly"
    \include "stimmen/04_3_05-figures.ly"
  >> 
>>

\layout { indent = 0  \context {
    \Staff
%     \override TimeSignature #'style = #'single-digit
 }
}

\header { 
  piece=   \markup { \left-column {
      \override #'(font-size . 3) \italic "Con tenerezza" %{\small \italic "Gravement"%}}
  }
 }
} 

\pageTurn


%=================    4. Movement:  Allegro   ===========================
\score {
  \transpose d f
  \keepWithTag #'bl
<<
   \override Score.BarNumber  #'font-shape = #'italic
   \override Score.BarNumber  #'font-series = #'bold
   \override Score.RehearsalMark  #'break-visibility = #begin-of-line-invisible
   
  \new ChoirStaff <<
   \include "stimmen/04_4_01-fl.ly"
  >>
  
  \new GrandStaff <<
    %      \include "stimmen/04_4_03-rh.ly"
    \include "stimmen/04_4_04-lh.ly"
    \include "stimmen/04_4_05-figures.ly"
  >> 
>>

\layout { indent = 0  \context {
    \Staff
%     \override TimeSignature #'style = #'single-digit
 }
}

\header { 
  piece=   \markup { \left-column {
      \override #'(font-size . 3) \italic "Allegro" %{\small \italic "Gravement"%}}
  }
 }
} 

\pageTurn